SPECIAL_CHARACTERS = [
    '!', '"', '#', '$', '%', '&', "'", '(', ')', '*', '+', ',', '-', '.', '/', 
    ':', ';', '<', '=', '>', '?', '@', '[', '\\', ']', '^', '_', '`', '{', '|', '}', '~',
    '“', '”', '’', '‘', '—', '–', '•', '…', '°', '£', '€', '¥', '¢', '®', '™', '©', '§',
    '¡', '¿', '†', '‡', 'µ', '¶', '•', '·', '°', 'º', 'ª', '¹', '²', '³', '¼', '½', '¾',
    '⁰', 'ⁱ', '⁴', '⁵', '⁶', '⁷', '⁸', '⁹', '⁺', '⁻', '⁼', '⁽', '⁾', '₊', '₌', '₍', '₎',
    '₡', '₢', '₣', '₤', '₥', '₦', '₧', '₨', '₩', '₪', '₫', '€', '₭', '₮', '₯', '₰', '₱',
    '₲', '₳', '₴', '₵', '₶', '₷', '₸', '₹', '₺', '₻', '₼', '₽', '₾', '₿', '€', '₰', '₱',
    '₹', '℀', '℁', 'ℂ', '℃', '℄', '℅', '℆', 'ℇ', '℈', '℉', 'ℊ', 'ℋ', 'ℌ', 'ℍ', 'ℎ',
    'ℏ', 'ℐ', 'ℑ', 'ℒ', 'ℓ', '℔', 'ℕ', '№', '℗', '℘', 'ℙ', 'ℚ', 'ℛ', 'ℜ', 'ℝ', '℞',
    '℟', '℠', '℡', '™', '℣', 'ℤ', '℥', 'Ω', '℧', 'ℨ', '℩', 'K', 'Å', 'ℬ', 'ℭ', '℮',
    'ℯ', 'ℰ', 'ℱ', 'Ⅎ', 'ℳ', 'ℴ', 'ℵ', 'ℶ', 'ℷ', 'ℸ', 'ℹ', '℺', '℻', 'ℼ', 'ℽ', 'ℾ',
    'ℿ', '⅀', '⅁', '⅂', '⅃', '⅄', 'ⅅ', 'ⅆ', 'ⅇ', 'ⅈ', 'ⅉ', '⅊', '⅋', '⅌', '⅍', 'ⅎ',
    '⅏', '⅐', '⅑', '⅒', '⅓', '⅔', '⅕', '⅖', '⅗', '⅘', '⅙', '⅚', '⅛', '⅜', '⅝', '⅞',
    '⅟', 'Ⅰ', 'Ⅱ', 'Ⅲ', 'Ⅳ', 'Ⅴ', 'Ⅵ', 'Ⅶ', 'Ⅷ', 'Ⅸ', 'Ⅹ', 'Ⅺ', 'Ⅻ', 'Ⅼ', 'Ⅽ', 'Ⅾ',
    'Ⅿ', 'ⅰ', 'ⅱ', 'ⅲ', 'ⅳ', 'ⅴ', 'ⅵ', 'ⅶ', 'ⅷ', 'ⅸ', 'ⅹ', 'ⅺ', 'ⅻ', 'ⅼ', 'ⅽ', 'ⅾ',
    'ⅿ', 'ↀ', 'ↁ', 'ↂ', 'Ↄ', 'ↄ', 'ↅ', 'ↆ', 'ↇ', 'ↈ', '↉', '↊', '↋', '←', '↑', '→',
    '↓', '↔', '↕', '↖', '↗', '↘', '↙', '↚', '↛', '↜', '↝', '↞', '↟', '↠', '↡', '↢',
    '↣', '↤', '↥', '↦', '↧', '↨', '↩', '↪', '↫', '↬', '↭', '↮', '↯', '↰', '↱', '↲',
    '↳', '↴', '↵', '↶', '↷', '↸', '↹', '↺', '↻', '↼', '↽', '↾', '↿', '⇀', '⇁', '⇂',
    '⇃', '⇄', '⇅', '⇆', '⇇', '⇈', '⇉', '⇊', '⇋', '⇌', '⇍', '⇎', '⇏', '⇐', '⇑', '⇒',
    '⇓', '⇔', '⇕', '⇖', '⇗', '⇘', '⇙', '⇚', '⇛', '⇜', '⇝', '⇞', '⇟', '⇠', '⇡', '⇢',
    '⇣', '⇤', '⇥', '⇦', '⇧', '⇨', '⇩', '⇪', '⇫', '⇬', '⇭', '⇮', '⇯', '⇰', '⇱', '⇲',
    '⇳', '⇴', '⇵', '⇶', '⇷', '⇸', '⇹', '⇺', '⇻', '⇼', '⇽', '⇾', '⇿', '∀', '∁', '∂',
    '∃', '∄', '∅', '∆', '∇', '∈', '∉', '∊', '∋', '∌', '∍', '∎', '∏', '∐', '∑', '−',
    '∓', '∔', '∕', '∖', '∗', '∘', '∙', '√', '∛', '∜', '∝', '∞', '∟', '∠', '∡', '∢',
    '∣', '∤', '∥', '∦', '∧', '∨', '∩', '∪', '∫', '∬', '∭', '∮', '∯', '∰', '∱', '∲',
    '∳', '∴', '∵', '∶', '∷', '∸', '∹', '∺', '∻', '∼', '∽', '∾', '∿', '≀', '≁', '≂',
    '≃', '≄', '≅', '≆', '≇', '≈', '≉', '≊', '≋', '≌', '≍', '≎', '≏', '≐', '≑', '≒',
    '≓', '≔', '≕', '≖', '≗', '≘', '≙', '≚', '≛', '≜', '≝', '≞', '≟', '≠', '≡', '≢',
    '≣', '≤', '≥', '≦', '≧', '≨', '≩', '≪', '≫', '≬', '≭', '≮', '≯', '≰', '≱', '≲',
    '≳', '≴', '≵', '≶', '≷', '≸', '≹', '≺', '≻', '≼', '≽', '≾', '≿', '⊀', '⊁', '⊂',
    '⊃', '⊄', '⊅', '⊆', '⊇', '⊈', '⊉', '⊊', '⊋', '⊌', '⊍', '⊎', '⊏', '⊐', '⊑', '⊒',
    '⊓', '⊔', '⊕', '⊖', '⊗', '⊘', '⊙', '⊚', '⊛', '⊜', '⊝', '⊞', '⊟', '⊠', '⊡', '⊢',
    '⊣', '⊤', '⊥', '⊦', '⊧', '⊨', '⊩', '⊪', '⊫', '⊬', '⊭', '⊮', '⊯', '⊰', '⊱', '⊲',
    '⊳', '⊴', '⊵', '⊶', '⊷', '⊸', '⊹', '⊺', '⊻', '⊼', '⊽', '⊾', '⊿', '⋀', '⋁', '⋂',
    '⋃', '⋄', '⋅', '⋆', '⋇', '⋈', '⋉', '⋊', '⋋', '⋌', '⋍', '⋎', '⋏', '⋐', '⋑', '⋒',
    '⋓', '⋔', '⋕', '⋖', '⋗', '⋘', '⋙', '⋚', '⋛', '⋜', '⋝', '⋞', '⋟', '⋠', '⋡', '⋢',
    '⋣', '⋤', '⋥', '⋦', '⋧', '⋨', '⋩', '⋪', '⋫', '⋬', '⋭', '⋮', '⋯', '⋰', '⋱', '⋲',
    '⋳', '⋴', '⋵', '⋶', '⋷', '⋸', '⋹', '⋺', '⋻', '⋼', '⋽', '⋾', '⋿', '⌀', '⌁', '⌂',
    '⌃', '⌄', '⌅', '⌆', '⌇', '⌈', '⌉', '⌊', '⌋', '⌌', '⌍', '⌎', '⌏', '⌐', '⌑', '⌒',
    '⌓', '⌔', '⌕', '⌖', '⌗', '⌘', '⌙', '⌚', '⌛', '⌜', '⌝', '⌞', '⌟', '⌠', '⌡', '⌢',
    '⌣', '⌤', '⌥', '⌦', '⌧', '⌨', '〈', '〉', '⌫', '⌬', '⌭', '⌮', '⌯', '⌰', '⌱', '⌲',
    '⌳', '⌴', '⌵', '⌶', '⌷', '⌸', '⌹', '⌺', '⌻', '⌼', '⌽', '⌾', '⌿', '⍀', '⍁', '⍂',
    '⍃', '⍄', '⍅', '⍆', '⍇', '⍈', '⍉', '⍊', '⍋', '⍌', '⍍', '⍎', '⍏', '⍐', '⍑', '⍒',
    '⍓', '⍔', '⍕', '⍖', '⍗', '⍘', '⍙', '⍚', '⍛', '⍜', '⍝', '⍞', '⍟', '⍠', '⍡', '⍢',
    '⍣', '⍤', '⍥', '⍦', '⍧', '⍨', '⍩', '⍪', '⍫', '⍬', '⍭', '⍮', '⍯', '⍰', '⍱', '⍲',
    '⍳', '⍴', '⍵', '⍶', '⍷', '⍸', '⍹', '⍺', '⍻', '⍼', '⍽', '⍾', '⍿', '⎀', '⎁', '⎂',
    '⎃', '⎄', '⎅', '⎆', '⎇', '⎈', '⎉', '⎊', '⎋', '⎌', '⎍', '⎎', '⎏', '⎐', '⎑', '⎒',
    '⎓', '⎔', '⎕', '⎖', '⎗', '⎘', '⎙', '⎚', '⎛', '⎜', '⎝', '⎞', '⎟', '⎠', '⎡', '⎢',
    '⎣', '⎤', '⎥', '⎦', '⎧', '⎨', '⎩', '⎪', '⎫', '⎬', '⎭', '⎮', '⎯', '⎰', '⎱', '⎲',
    '⎳', '⎴', '⎵', '⎶', '⎷', '⎸', '⎹', '⎺', '⎻', '⎼', '⎽', '⎾', '⎿', '⏀', '⏁', '⏂',
    '⏃', '⏄', '⏅', '⏆', '⏇', '⏈', '⏉', '⏊', '⏋', '⏌', '⏍', '⏎', '⏏', '⏐', '⏑', '⏒',
    '⏓', '⏔', '⏕', '⏖', '⏗', '⏘', '⏙', '⏚', '⏛', '⏜', '⏝', '⏞', '⏟', '⏠', '⏡', '⏢',
    '⏣', '⏤', '⏥', '⏦', '⏧', '⏨', '⏩', '⏪', '⏫', '⏬', '⏭', '⏮', '⏯', '⏰', '⏱', '⏲',
    '⏳', '⏴', '⏵', '⏶', '⏷', '⏸', '⏹', '⏺', '⏻', '⏼', '⏽', '⏾', '⏿', '␀', '␁', '␂',
    '␃', '␄', '␅', '␆', '␇', '␈', '␉', '␊', '␋', '␌', '␍', '␎', '␏', '␐', '␑', '␒',
    '␓', '␔', '␕', '␖', '␗', '␘', '␙', '␚', '␛', '␜', '␝', '␞', '␟', '␠', '␡', '␢',
    '␣', '␤', '␥', '␦', '␧', '␨', '␩', '␪', '␫', '␬', '␭', '␮', '␯', '␰', '␱', '␲',
    '␳', '␴', '␵', '␶', '␷', '␸', '␹', '␺', '␻', '␼', '␽', '␾', '␿', '─', '─', '━',
    '│', '┃', '┄', '┅', '┆', '┇', '┈', '┉', '┊', '┋', '┌', '┍', '┎', '┏', '┐', '┑',
    '┒', '┓', '└', '┕', '┖', '┗', '┘', '┙', '┚', '┛', '├', '┝', '┞', '┟', '┠', '┡',
    '┢', '┣', '┤', '┥', '┦', '┧', '┨', '┩', '┪', '┫', '┬', '┭', '┮', '┯', '┰', '┱',
    '┲', '┳', '┴', '┵', '┶', '┷', '┸', '┹', '┺', '┻', '┼', '┽', '┾', '┿', '╀', '╁',
    '╂', '╃', '╄', '╅', '╆', '╇', '╈', '╉', '╊', '╋', '╌', '╍', '╎', '╏', '═', '═',
    '║', '╒', '╓', '╔', '╕', '╖', '╗', '╘', '╙', '╚', '╛', '╜', '╝', '╞', '╟', '╠',
    '╡', '╢', '╣', '╤', '╥', '╦', '╧', '╨', '╩', '╪', '╫', '╬', '╭', '╮', '╯', '╰',
    '╱', '╲', '╳', '╴', '╵', '╶', '╷', '╸', '╹', '╺', '╻', '╼', '╽', '╾', '╿', '▀',
    '▁', '▂', '▃', '▄', '▅', '▆', '▇', '█', '▉', '▊', '▋', '▌', '▍', '▎', '▏', '▐',
    '░', '▒', '▓', '▔', '▕', '▖', '▗', '▘', '▙', '▚', '▛', '▜', '▝', '▞', '▟', '■',
    '□', '▢', '▣', '▤', '▥', '▦', '▧', '▨', '▩', '▪', '▫', '▬', '▭', '▮', '▯', '▰',
    '▱', '▲', '△', '▴', '▵', '▶', '▷', '▸', '▹', '►', '▻', '▼', '▽', '▾', '▿', '◀',
    '◁', '◂', '◃', '◄', '◅', '◆', '◇', '◈', '◉', '◊', '○', '◌', '◍', '◎', '●', '◐',
    '◑', '◒', '◓', '◔', '◕', '◖', '◗', '◘', '◙', '◚', '◛', '◜', '◝', '◞', '◟', '◠',
    '◡', '◢', '◣', '◤', '◥', '◦', '◧', '◨', '◩', '◪', '◫', '◬', '◭', '◮', '◯', '◰',
    '◱', '◲', '◳', '◴', '◵', '◶', '◷', '◸', '◹', '◺', '◻', '◼', '◽', '◾', '◿', '☀',
    '☁', '☂', '☃', '☄', '★', '☆', '☇', '☈', '☉', '☊', '☋', '☌', '☍', '☎', '☏', '☐',
    '☑', '☒', '☓', '☔', '☕', '☖', '☗', '☘', '☙', '☚', '☛', '☜', '☝', '☞', '☟', '☠',
    '☡', '☢', '☣', '☤', '☥', '☦', '☧', '☨', '☩', '☪', '☫', '☬', '☭', '☮', '☯', '☰',
    '☱', '☲', '☳', '☴', '☵', '☶', '☷', '☸', '☹', '☺', '☻', '☼', '☽', '☾', '☿', '♀',
    '♁', '♂', '♃', '♄', '♅', '♆', '♇', '♈', '♉', '♊', '♋', '♌', '♍', '♎', '♏', '♐',
    '♑', '♒', '♓', '♔', '♕', '♖', '♗', '♘', '♙', '♚', '♛', '♜', '♝', '♞', '♟', '♠',
    '♡', '♢', '♣', '♤', '♥', '♦', '♧', '♨', '♩', '♪', '♫', '♬', '♭', '♮', '♯', '♰',
    '♱', '♲', '♳', '♴', '♵', '♶', '♷', '♸', '♹', '♺', '♻', '♼', '♽', '♾', '♿', '⚀',
    '⚁', '⚂', '⚃', '⚄', '⚅', '⚆', '⚇', '⚈', '⚉', '⚊', '⚋', '⚌', '⚍', '⚎', '⚏', '⚐',
    '⚑', '⚒', '⚓', '⚔', '⚕', '⚖', '⚗', '⚘', '⚙', '⚚', '⚛', '⚜', '⚝', '⚞', '⚟', '⚠',
    '⚡', '⚢', '⚣', '⚤', '⚥', '⚦', '⚧', '⚨', '⚩', '⚪', '⚫', '⚬', '⚭', '⚮', '⚯', '⚰',
    '⚱', '⚲', '⚳', '⚴', '⚵', '⚶', '⚷', '⚸', '⚹', '⚺', '⚻', '⚼', '⚽', '⚾', '⚿', '⛀',
    '⛁', '⛂', '⛃', '⛄', '⛅', '⛆', '⛇', '⛈', '⛉', '⛊', '⛋', '⛌', '⛍', '⛎', '⛏', '⛐',
    '⛑', '⛒', '⛓', '⛔', '⛕', '⛖', '⛗', '⛘', '⛙', '⛚', '⛛', '⛜', '⛝', '⛞', '⛟', '⛠',
    '⛡', '⛢', '⛣', '⛤', '⛥', '⛦', '⛧', '⛨', '⛩', '⛪', '⛫', '⛬', '⛭', '⛮', '⛯', '⛰',
    '⛱', '⛲', '⛳', '⛴', '⛵', '⛶', '⛷', '⛸', '⛹', '⛺', '⛻', '⛼', '⛽', '⛾', '⛿', '✀',
    '✁', '✂', '✃', '✄', '✅', '✆', '✇', '✈', '✉', '✊', '✋', '✌', '✍', '✎', '✏', '✐',
    '✑', '✒', '✓', '✔', '✕', '✖', '✗', '✘', '✙', '✚', '✛', '✜', '✝', '✞', '✟', '✠',
    '✡', '✢', '✣', '✤', '✥', '✦', '✧', '✨', '✩', '✪', '✫', '✬', '✭', '✮', '✯', '✰',
    '✱', '✲', '✳', '✴', '✵', '✶', '✷', '✸', '✹', '✺', '✻', '✼', '✽', '✾', '✿', '❀',
    '❁', '❂', '❃', '❄', '❅', '❆', '❇', '❈', '❉', '❊', '❋', '❌', '❍', '❎', '❏', '❐',
    '❑', '❒', '❓', '❔', '❕', '❖', '❗', '❘', '❙', '❚', '❛', '❜', '❝', '❞', '❟', '❠',
    '❡', '❢', '❣', '❤', '❥', '❦', '❧', '❨', '❩', '❪', '❫', '❬', '❭', '❮', '❯', '❰',
    '❱', '❲', '❳', '❴', '❵', '❶', '❷', '❸', '❹', '❺', '❻', '❼', '❽', '❾', '❿', '➀',
    '➁', '➂', '➃', '➄', '➅', '➆', '➇', '➈', '➉', '➊', '➋', '➌', '➍', '➎', '➏', '➐',
    '➑', '➒', '➓', '➔', '➕', '➖', '➗', '➘', '➙', '➚', '➛', '➜', '➝', '➞', '➟', '➠',
    '➡', '➢', '➣', '➤', '➥', '➦', '➧', '➨', '➩', '➪', '➫', '➬', '➭', '➮', '➯', '➰',
    '➱', '➲', '➳', '➴', '➵', '➶', '➷', '➸', '➹', '➺', '➻', '➼', '➽', '➾', '➿', '⤀',
    '⤁', '⤂', '⤃', '⤄', '⤅', '⤆', '⤇', '⤈', '⤉', '⤊', '⤋', '⤌', '⤍', '⤎', '⤏', '⤐',
    '⤑', '⤒', '⤓', '⤔', '⤕', '⤖', '⤗', '⤘', '⤙', '⤚', '⤛', '⤜', '⤝', '⤞', '⤟', '⤠',
    '⤡', '⤢', '⤣', '⤤', '⤥', '⤦', '⤧', '⤨', '⤩', '⤪', '⤫', '⤬', '⤭', '⤮', '⤯', '⤰',
    '⤱', '⤲', '⤳', '⤴', '⤵', '⤶', '⤷', '⤸', '⤹', '⤺', '⤻', '⤼', '⤽', '⤾', '⤿', '⥀',
    '⥁', '⥂', '⥃', '⥄', '⥅', '⥆', '⥇', '⥈', '⥉', '⥊', '⥋', '⥌', '⥍', '⥎', '⥏', '⥐',
    '⥑', '⥒', '⥓', '⥔', '⥕', '⥖', '⥗', '⥘', '⥙', '⥚', '⥛', '⥜', '⥝', '⥞', '⥟', '⥠',
    '⥡', '⥢', '⥣', '⥤', '⥥', '⥦', '⥧', '⥨', '⥩', '⥪', '⥫', '⥬', '⥭', '⥮', '⥯', '⥰',
    '⥱', '⥲', '⥳', '⥴', '⥵', '⥶', '⥷', '⥸', '⥹', '⥺', '⥻', '⥼', '⥽', '⥾', '⥿', '⦀',
    '⦁', '⦂', '⦃', '⦄', '⦅', '⦆', '⦇', '⦈', '⦉', '⦊', '⦋', '⦌', '⦍', '⦎', '⦏', '⦐',
    '⦑', '⦒', '⦓', '⦔', '⦕', '⦖', '⦗', '⦘', '⦙', '⦚', '⦛', '⦜', '⦝', '⦞', '⦟', '⦠',
    '⦡', '⦢', '⦣', '⦤', '⦥', '⦦', '⦧', '⦨', '⦩', '⦪', '⦫', '⦬', '⦭', '⦮', '⦯', '⦰',
    '⦱', '⦲', '⦳', '⦴', '⦵', '⦶', '⦷', '⦸', '⦹', '⦺', '⦻', '⦼', '⦽', '⦾', '⦿', '⧀',
    '⧁', '⧂', '⧃', '⧄', '⧅', '⧆', '⧇', '⧈', '⧉', '⧊', '⧋', '⧌', '⧍', '⧎', '⧏', '⧐',
    '⧑', '⧒', '⧓', '⧔', '⧕', '⧖', '⧗', '⧘', '⧙', '⧚', '⧛', '⧜', '⧝', '⧞', '⧟', '⧠',
    '⧡', '⧢', '⧣', '⧤', '⧥', '⧦', '⧧', '⧨', '⧩', '⧪', '⧫', '⧬', '⧭', '⧮', '⧯', '⧰',
    '⧱', '⧲', '⧳', '⧴', '⧵', '⧶', '⧷', '⧸', '⧹', '⧺', '⧻', '⧼', '⧽', '⧾', '⧿', '⨀',
    '⨁', '⨂', '⨃', '⨄', '⨅', '⨆', '⨇', '⨈', '⨉', '⨊', '⨋', '⨌', '⨍', '⨎', '⨏', '⨐',
    '⨑', '⨒', '⨓', '⨔', '⨕', '⨖', '⨗', '⨘', '⨙', '⨚', '⨛', '⨜', '⨝', '⨞', '⨟', '⨠',
    '⨡', '⨢', '⨣', '⨤', '⨥', '⨦', '⨧', '⨨', '⨩', '⨪', '⨫', '⨬', '⨭', '⨮', '⨯', '⨰',
    '⨱', '⨲', '⨳', '⨴', '⨵', '⨶', '⨷', '⨸', '⨹', '⨺', '⨻', '⨼', '⨽', '⨾', '⨿', '⩀',
    '⩁', '⩂', '⩃', '⩄', '⩅', '⩆', '⩇', '⩈', '⩉', '⩊', '⩋', '⩌', '⩍', '⩎', '⩏', '⩐',
    '⩑', '⩒', '⩓', '⩔', '⩕', '⩖', '⩗', '⩘', '⩙', '⩚', '⩛', '⩜', '⩝', '⩞', '⩟', '⩠',
    '⩡', '⩢', '⩣', '⩤', '⩥', '⩦', '⩧', '⩨', '⩩', '⩪', '⩫', '⩬', '⩭', '⩮', '⩯', '⩰',
    '⩱', '⩲', '⩳', '⩴', '⩵', '⩶', '⩷', '⩸', '⩹', '⩺', '⩻', '⩼', '⩽', '⩾', '⩿', '⪀',
    '⪁', '⪂', '⪃', '⪄', '⪅', '⪆', '⪇', '⪈', '⪉', '⪊', '⪋', '⪌', '⪍', '⪎', '⪏', '⪐',
    '⪑', '⪒', '⪓', '⪔', '⪕', '⪖', '⪗', '⪘', '⪙', '⪚', '⪛', '⪜', '⪝', '⪞', '⪟', '⪠',
    '⪡', '⪢', '⪣', '⪤', '⪥', '⪦', '⪧', '⪨', '⪩', '⪪', '⪫', '⪬', '⪭', '⪮', '⪯', '⪰',
    '⪱', '⪲', '⪳', '⪴', '⪵', '⪶', '⪷', '⪸', '⪹', '⪺', '⪻', '⪼', '⪽', '⪾', '⪿', '⫀',
    '⫁', '⫂', '⫃', '⫄', '⫅', '⫆', '⫇', '⫈', '⫉', '⫊', '⫋', '⫌', '⫍', '⫎', '⫏', '⫐',
    '⫑', '⫒', '⫓', '⫔', '⫕', '⫖', '⫗', '⫘', '⫙', '⫚', '⫛', '⫝̸', '⫝', '⫞', '⫟', '⫠',
    '⫡', '⫢', '⫣', '⫤', '⫥', '⫦', '⫧', '⫨', '⫩', '⫪', '⫫', '⫬', '⫭', '⫮', '⫯', '⫰',
    '⫱', '⫲', '⫳', '⫴', '⫵', '⫶', '⫷', '⫸', '⫹', '⫺', '⫻', '⫼', '⫽', '⫾', '⫿', '⬀',
    '⬁', '⬂', '⬃', '⬄', '⬅', '⬆', '⬇', '⬈', '⬉', '⬊', '⬋', '⬌', '⬍', '⬎', '⬏', '⬐',
    '⬑', '⬒', '⬓', '⬔', '⬕', '⬖', '⬗', '⬘', '⬙', '⬚', '⬛', '⬜', '⬝', '⬞', '⬟', '⬠',
    '⬡', '⬢', '⬣', '⬤', '⬥', '⬦', '⬧', '⬨', '⬩', '⬪', '⬫', '⬬', '⬭', '⬮', '⬯', '⬰',
    '⬱', '⬲', '⬳', '⬴', '⬵', '⬶', '⬷', '⬸', '⬹', '⬺', '⬻', '⬼', '⬽', '⬾', '⬿', '⭀',
    '⭁', '⭂', '⭃', '⭄', '⭅', '⭆', '⭇', '⭈', '⭉', '⭊', '⭋', '⭌', '⭍', '⭎', '⭏', '⭐',
    '⭑', '⭒', '⭓', '⭔', '⭕', '⭖', '⭗', '⭘', '⭙', '⭚', '⭛', '⭜', '⭝', '⭞', '⭟', '⭠',
    '⭡', '⭢', '⭣', '⭤', '⭥', '⭦', '⭧', '⭨', '⭩', '⭪', '⭫', '⭬', '⭭', '⭮', '⭯', '⭰',
    '⭱', '⭲', '⭳', '⭴', '⭵', '⭶', '⭷', '⭸', '⭹', '⭺', '⭻', '⭼', '⭽', '⭾', '⭿', '⮀',
    '⮁', '⮂', '⮃', '⮄', '⮅', '⮆', '⮇', '⮈', '⮉', '⮊', '⮋', '⮌', '⮍', '⮎', '⮏', '⮐',
    '⮑', '⮒', '⮓', '⮔', '⮕', '⮖', '⮗', '⮘', '⮙', '⮚', '⮛', '⮜', '⮝', '⮞', '⮟', '⮠',
    '⮡', '⮢', '⮣', '⮤', '⮥', '⮦', '⮧', '⮨', '⮩', '⮪', '⮫', '⮬', '⮭', '⮮', '⮯', '⮰',
    '⮱', '⮲', '⮳', '⮴', '⮵', '⮶', '⮷', '⮸', '⮹', '⮺', '⮻', '卐', '⮼', '⮽', '⮾', '⮿', '⯀',
    '⯁', '⯂', '⯃', '⯄', '⯅', '⯆', '⯇', '⯈', '⯉', '⯊', '⯋', '⯌', '⯍', '⯎', '⯏', '⯐',
    '⯑', '⯒', '⯓', '⯔', '⯕', '⯖', '⯗', '⯘', '⯙', '⯚', '⯛', '⯜', '⯝', '⯞', '⯟', '⯠',
    '⯡', '⯢', '⯣', '⯤', '⯥', '⯦', '⯧', '⯨', '⯩', '⯪', '⯫', '⯬', '⯭', '⯮', '⯯', '⯰',
    '⯱', '⯲', '⯳', '⯴', '⯵', '⯶', '⯷', '⯸', '⯹', '⯺', '⯻', '⯼', '⯽', '⯾', '⯿', 'Ⰰ',
    'Ⰱ', 'Ⰲ', 'Ⰳ', 'Ⰴ', 'Ⰵ', 'Ⰶ', 'Ⰷ', 'Ⰸ', 'Ⰹ', 'Ⰺ', 'Ⰻ', 'Ⰼ', 'Ⰽ', 'Ⰾ', 'Ⰿ', 'Ⱀ',
    'Ⱁ', 'Ⱂ', 'Ⱃ', 'Ⱄ', 'Ⱅ', 'Ⱆ', 'Ⱇ', 'Ⱈ', 'Ⱉ', 'Ⱊ', 'Ⱋ', 'Ⱌ', 'Ⱍ', 'Ⱎ', 'Ⱏ', 'Ⱐ',
    'Ⱑ', 'Ⱒ', 'Ⱓ', 'Ⱔ', 'Ⱕ', 'Ⱖ', 'Ⱗ', 'Ⱘ', 'Ⱙ', 'Ⱚ', 'Ⱛ', 'Ⱜ', 'Ⱝ', 'Ⱞ', 'Ⱟ', 'ⰰ',
    'ⰱ', 'ⰲ', 'ⰳ', 'ⰴ', 'ⰵ', 'ⰶ', 'ⰷ', 'ⰸ', 'ⰹ', 'ⰺ', 'ⰻ', 'ⰼ', 'ⰽ', 'ⰾ', 'ⰿ', 'ⱀ',
    'ⱁ', 'ⱂ', 'ⱃ', 'ⱄ', 'ⱅ', 'ⱆ', 'ⱇ', 'ⱈ', 'ⱉ', 'ⱊ', 'ⱋ', 'ⱌ', 'ⱍ', 'ⱎ', 'ⱏ', 'ⱐ',
    'ⱑ', 'ⱒ', 'ⱓ', 'ⱔ', 'ⱕ', 'ⱖ', 'ⱗ', 'ⱘ', 'ⱙ', 'ⱚ', 'ⱛ', 'ⱜ', 'ⱝ', 'ⱞ', 'ⱟ', 'Ⱡ',
    'ⱡ', 'Ɫ', 'Ᵽ', 'Ɽ', 'ⱥ', 'ⱦ', 'Ⱨ', 'ⱨ', 'Ⱪ', 'ⱪ', 'Ⱬ', 'ⱬ', 'Ɑ', 'Ɱ', 'Ɐ', 'Ɒ',
    'ⱱ', 'Ⱳ', 'ⱳ', 'ⱴ', 'Ⱶ', 'ⱶ', 'ⱷ', 'ⱸ', 'ⱹ', 'ⱺ', 'ⱻ', 'ⱼ', 'ⱽ', 'Ȿ', 'Ɀ', 'Ⲁ',
    'ⲁ', 'Ⲃ', 'ⲃ', 'Ⲅ', 'ⲅ', 'Ⲇ', 'ⲇ', 'Ⲉ', 'ⲉ', 'Ⲋ', 'ⲋ', 'Ⲍ', 'ⲍ', 'Ⲏ', 'ⲏ', 'Ⲑ',
    'ⲑ', 'Ⲓ', 'ⲓ', 'Ⲕ', 'ⲕ', 'Ⲗ', 'ⲗ', 'Ⲙ', 'ⲙ', 'Ⲛ', 'ⲛ', 'Ⲝ', 'ⲝ', 'Ⲟ', 'ⲟ',
    'Ⲡ', 'ⲡ', 'Ⲣ', 'ⲣ', 'Ⲥ', 'ⲥ', 'Ⲧ', 'ⲧ', 'Ⲩ', 'ⲩ', 'Ⲫ', 'ⲫ', 'Ⲭ', 'ⲭ', 'Ⲯ',
    'ⲯ', 'Ⲱ', 'ⲱ', 'Ⲳ', 'ⲳ', 'Ⲵ', 'ⲵ', 'Ⲷ', 'ⲷ', 'Ⲹ', 'ⲹ', 'Ⲻ', 'ⲻ', 'Ⲽ', 'ⲽ',
    'Ⲿ', 'ⲿ', 'Ⳁ', 'ⳁ', 'Ⳃ', 'ⳃ', 'Ⳅ', 'ⳅ', 'Ⳇ', 'ⳇ', 'Ⳉ', 'ⳉ', 'Ⳋ', 'ⳋ', 'Ⳍ', 'ⳍ',
    'Ⳏ', 'ⳏ', 'Ⳑ', 'ⳑ', 'Ⳓ', 'ⳓ', 'Ⳕ', 'ⳕ', 'Ⳗ', 'ⳗ', 'Ⳙ', 'ⳙ', 'Ⳛ', 'ⳛ', 'Ⳝ', 'ⳝ',
    'Ⳟ', 'ⳟ', 'Ⳡ', 'ⳡ', 'Ⳣ', 'ⳣ', 'ⳤ', '⳥', '⳦', '⳧', '⳨', '⳩', '⳪', 'Ⳬ', 'ⳬ', 'Ⳮ',
    'ⳮ', '⳯', '⳰', '⳱', 'Ⳳ', 'ⳳ', '⳴', '⳵', '⳶', '⳷', '⳸', '⳹', '⳺', '⳻', '⳼', '⳽',
    '⳾', '⳿', 'ⴀ', 'ⴁ', 'ⴂ', 'ⴃ', 'ⴄ', 'ⴅ', 'ⴆ', 'ⴇ', 'ⴈ', 'ⴉ', 'ⴊ', 'ⴋ', 'ⴌ', 'ⴍ',
    'ⴎ', 'ⴏ', 'ⴐ', 'ⴑ', 'ⴒ', 'ⴓ', 'ⴔ', 'ⴕ', 'ⴖ', 'ⴗ', 'ⴘ', 'ⴙ', 'ⴚ', 'ⴛ', 'ⴜ', 'ⴝ',
    'ⴞ', 'ⴟ', 'ⴠ', 'ⴡ', 'ⴢ', 'ⴣ', 'ⴤ', 'ⴥ', '⴦', 'ⴧ', '⴨', '⴩', '⴪', '⴫', '⴬', 'ⴭ',
    '⴮', '⴯', 'ⴰ', 'ⴱ', 'ⴲ', 'ⴳ', 'ⴴ', 'ⴵ', 'ⴶ', 'ⴷ', 'ⴸ', 'ⴹ', 'ⴺ', 'ⴻ', 'ⴼ', 'ⴽ',
    'ⴾ', 'ⴿ', 'ⵀ', 'ⵁ', 'ⵂ', 'ⵃ', 'ⵄ', 'ⵅ', 'ⵆ', 'ⵇ', 'ⵈ', 'ⵉ', 'ⵊ', 'ⵋ', 'ⵌ', 'ⵍ',
    'ⵎ', 'ⵏ', 'ⵐ', 'ⵑ', 'ⵒ', 'ⵓ', 'ⵔ', 'ⵕ', 'ⵖ', 'ⵗ', 'ⵘ', 'ⵙ', 'ⵚ', 'ⵛ', 'ⵜ', 'ⵝ',
    'ⵞ', 'ⵟ', 'ⵠ', 'ⵡ', 'ⵢ', 'ⵣ', 'ⵤ', 'ⵥ', 'ⵦ', 'ⵧ', '⵨', '⵩', '⵪', '⵫', '⵬', '⵭',
    '⵮', 'ⵯ', '⵰', '⵱', '⵲', '⵳', '⵴', '⵵', '⵶', '⵷', '⵸', '⵹', '⵺', '⵻', '⵼', '⵽',
    '⵾', '⵿', 'ⶀ', 'ⶁ', 'ⶂ', 'ⶃ', 'ⶄ', 'ⶅ', 'ⶆ', 'ⶇ', 'ⶈ', 'ⶉ', 'ⶊ', 'ⶋ', 'ⶌ', 'ⶍ',
    'ⶎ', 'ⶏ', 'ⶐ', 'ⶑ', 'ⶒ', 'ⶓ', 'ⶔ', 'ⶕ', 'ⶖ', '⶗', '⶘', '⶙', '⶚', '⶛', '⶜', '⶝',
    '⶞', '⶟', 'ⶠ', 'ⶡ', 'ⶢ', 'ⶣ', 'ⶤ', 'ⶥ', 'ⶦ', '⶧', 'ⶨ', 'ⶩ', 'ⶪ', 'ⶫ', 'ⶬ', 'ⶭ',
    'ⶮ', '⶯', 'ⶰ', 'ⶱ', 'ⶲ', 'ⶳ', 'ⶴ', 'ⶵ', 'ⶶ', '⶷', 'ⶸ', 'ⶹ', 'ⶺ', 'ⶻ', 'ⶼ', 'ⶽ',
    'ⶾ', '⶿', 'ⷀ', 'ⷁ', 'ⷂ', 'ⷃ', 'ⷄ', 'ⷅ', 'ⷆ', '⷇', 'ⷈ', 'ⷉ', 'ⷊ', 'ⷋ', 'ⷌ', 'ⷍ',
    'ⷎ', '⷏', 'ⷐ', 'ⷑ', 'ⷒ', 'ⷓ', 'ⷔ', 'ⷕ', 'ⷖ', '⷗', 'ⷘ', 'ⷙ', 'ⷚ', 'ⷛ', 'ⷜ', 'ⷝ',
    'ⷞ', '⷟', 'ⷠ', 'ⷡ', 'ⷢ', 'ⷣ', 'ⷤ', 'ⷥ', 'ⷦ', 'ⷧ', 'ⷨ', 'ⷩ', 'ⷪ', 'ⷫ', 'ⷬ', 'ⷭ',
    'ⷮ', 'ⷯ', 'ⷰ', 'ⷱ', 'ⷲ', 'ⷳ', 'ⷴ', 'ⷵ', 'ⷶ', 'ⷷ', 'ⷸ', 'ⷹ', 'ⷺ', 'ⷻ', 'ⷼ', 'ⷽ',
    'ⷾ', 'ⷿ']

def generate_typography_symbols():
    """
    Generate a list of Unicode typography symbols.
    """
    return SPECIAL_CHARACTERS

print(generate_typography_symbols())
